+++
author = "Yann Verry"
categories = ["vpn", "network"]
date = 2020-10-06T07:57:23Z
description = ""
draft = false
image = "__GHOST_URL__/content/images/2020/04/raspi_web_server_02.jpg"
slug = "une-freebox-en-remote-avec-du-vxlan-sur-vpn"
summary = "Serveur vxlan"
tags = ["vpn", "network"]
title = "Seconde partie: Une Freebox en remote avec du VxLAN sur vpn"

+++


Nous revoilà pour configurer notre serveur afin de rendre disponible à nos client le réseaux nécessaire à la freebox.

## VPN: Wireguard

Il vous faut setup un vpn wireguard fonctionnel. Il est possible de faire du vxlan directement sur le WAN (l'internet des chats) mais un vpn sécurisé c'est quand même le minimum.

La seul particularité est d'avoir un subnet pour notre VPN qui n'overlap (toujours) pas les réseaux utilisé, à savoir 192.168.0.0/24 et 192.168.1.0/24.

## VxLAN

Enfin on attaque les vxlan, maintenant que nous avons un vpn fonctionnel



serverside:

```
ip link add vxlan101 type vxlan id 101 local 172.16.42.4 srcport 10101 10101 remote 172.16.42.1 dstport 10101
ip link add link eth0 name eth0.101 type vlan id 101
```

On ajoute dans le bridge:

```
brctl addbr br101
brctl addif br101 vxlan101 eth0.101
```



clientside



```
ip link add vxlan101 type vxlan id 101 local 172.16.42.4 srcport 10101 10101 remote 172.16.42.1 dstport 10101
ip link add link eth0 name eth0.101 type vlan id 101
```

On ajoute dans le bridge:

```
brctl addbr br101
brctl addif br101 vxlan100 eth0.101
```

## Persistance

Si vous avez une version "récente" de systemd, il est possible de faire tout cela via systemd

