+++
author = "Yann Verry"
date = 2020-09-19T21:19:57Z
description = ""
draft = false
image = "20200920_122453.jpg"
slug = "home-stuff"
title = "Home stuff"

+++

![stuff](20200920_122453.jpg)

Inspiré de Zythom sur son [matériel](https://zythom.fr/2020/09/mon-materiel/), voici en retour le descriptif de mon chez moi.Évidemment mon travail modifie très largement ce que je possède.

Le proverbe

> Les cordonniers sont toujours les plus mal chaussés.

ne marche pas du tout ici.

## Physique

Tout le matériel que je possède est aujourd'hui dans une mini baie 19" de 9U 450MM dans mon garage en hauteur, ceci afin de respecter le _Wife Acceptance Factor._

J'y met dedans:

* Freebox
* Switch
* Serveur
* Divers disque externe en 3"5 / 2"5
* Quelques Rpi
* Bridge Hue
* Un onduleur APC en cas de coupure de courant

{{< figure src="__GHOST_URL__/content/images/2020/09/20200908_223725.jpg" >}}

La maison était équipée de prise RJ45 câblé uniquement en RJ11, il a donc fallu acheter des noyau et faire le câblage qui va bien sur chaque prise. Je n'avais pas suffisamment de noyau pour le nombre de prise dans la maison. J'ai donc déplacé la freebox de prise en prise pour identifier chaque extrémité. On a sûrement vu mieux mais ça a le mérite d'avoir fonctionné.

## Connectivité

Débutons par l'accès à ma maison:

* Freebox v6 (révolution) qui va se transformer en Delta une fois le stock rétabli
* Dongle 4G en cas de besoin: huawei-E5783B, c'est pas merveilleux mais dépanne bien en mobilité

Le choix d'une connexion Free n'est pas anodin, j'ai besoin d'une IPv4 fixe fullstack avec l'intégralité des ports ouverts (TCP25/SMTP compris) et plusieurs /64 en IPv6 (free fourni un /61). L'IP public directement sur mon propre serveur/routeur/firewall et pas sur la box.A partir de la il restais plus grand candidat sur des offres grand public

## Réseau Interne

Une fois le routeur passé, je possède un switch de marque unifi (US-8-60W) manageable, PoE et avec des VLAN. Côté wifi même chose une borne UAP-nanoHD alimenté par mon switch. Bien que je n'ai pas beaucoup de besoin j'ai tout de même installé le controlleur.

Trois wifi sont en place: Classique; Guest; IPv6_only

> Astuce: utiliser une CMDB afin de noter tout vos subnet, vlan, machines. Pour ma part j'ai choisi [netbox](https://netbox.readthedocs.io/en/stable/) car je l'utilise déjà au bureau.

J'ai donc en vlan:

* Vlan1: Classique
* Vlan2: Freebox
* Vlan3: Serveur
* Vlan4: Guest
* Vlan5:  Managment
* Vlan10: IoT
* Vlan11: IPv6 experimentation
* Vlan100: IPTV Freebox

Chaque réseau est donc étanche. La seul difficulté que j'ai c'est sur le guest qui souhaite utiliser du chromecast ou équivalent mais c'est un moindre mal vs la sécurité que je gagne.

Le backbone va lui bientôt être upgradé pour ajouter à cela un [CRS326-24G-2S](https://mikrotik.com/product/CRS326-24G-2SplusRM) car je manque de port et un routeur/switch qui gère un SFP+ (oui la fibre arrive) du LACP 802.3ad à moins de 200€ il y a une fois de plus peu de choix. On verra quant aux capacité de routage et firewall de la bête (tout ne s'offload pas et le CPU est branché que à 1G).

## Serveurs

Côté serveurs j'ai opté pour un Asrock [DeskMini310](https://www.asrock.com/Nettop/Intel/DeskMini%20310%20Series/index.asp) que j'ai gavé de 2x8Go de RAM, un i3-8100 CPU @ 3.60GHz (le max de TDP) et bien fourni côté stockage (3emplacements) dans un format ultra compact:

* 1 x SATA M2.2280 de 512Go (crucial CT500MX500SSD4)
* 2 x SATA 2"5 de 2To chacun (seagate ST2000LM015-2E81)

Le SATA est en RAID1 formaté en Btrfs. Moins performant mais je suis friant des snapshots sans avoir besoin de RAM ECC (coucou zfs).Point de virtualisation malgré ses capacités, tout est en docker ou LXC. Peut-être un jour quand je souhaiterais jouer avec du *BSD

## IoT / Domotique

J'ai débuté à jouer un peu avec la domotique. Tout d'abord un bridge hue et ses gadgets qui m'ont permis de découvrir Zigbee.Je garde le bridge car il faut une grande fiabilité dans l'utilisation au quotidien.

Très vite j'ai donc acheté une [PiZigate](https://zigate.fr/) que j'ai plug sur mon RPI4 pour gérer plus de chose comme la température. Détection d'ouverture de porte etc via l'achat de capteur [Aqara](https://www.aqara.com/en/home.html) SANS le bridge de Xiaomi car je n'ai aucune confiance.

## Conclusion

On est loin du trivial mais finalement ce genre de segmentation devrais être plus commune. Quand je vois tout ce que ma "smart" TV upload à son constructeur ça donne peur.Je me demande même si il n'y a pas un créneau à prendre plutôt que de laisser tout les devices communiquer n'importe comment à tout le monde.

Et vous, quelles solutions pour vos réseaux/serveurs avez-vous choisies ?

