+++
author = "Yann Verry"
categories = ["network"]
date = 2021-04-09T22:21:19Z
description = ""
draft = false
image = "ink-1602896_1920.jpg"
slug = "le-monde-de-limprimante-personnel"
tags = ["network"]
title = "Une imprimante en 2021 c'est toujours aussi pénible"

+++

![ink](ink-1602896_1920.jpg)

J'ai toujours été faché avec les imprimantes. Plus jeune les drivers qui fonctionnais aléatoirement et ont toujours été obèse. Il y avait aussi l'arnaque de l'impression qui te demande de remplacer la cartouche de cyan quand tu fais une impression noir&blanc. La cartouche unique avec l'ensemble des couleurs que tu dois jeter si une seul tombe à sec (spoiler: il en restait toujours de toute façon). Tout cela avec un coût hallucinant ! Très vite j'ai joué avec du compatible, ou remplir le réservoir avec une serringue. Les fabricants eux se sont mis à faire n'importe quoi avec de la DRM sur les cartouches.

Ensuite je suis carrément passé à l'imprimante laser si éfficace mais toujours ce problème de toner avec un prix hallucinant. Je n'avais pas un volume important d'impression mais c'était rageant. J'ai même à un moment remplacé l'imprimante à l'identique car le toner était vide. Oui c'était moins couteux qu'un toner, hallucinant. Je crie littéralement au scandal écologique aujourd'hui sur ce genre de pratique ...

Après j'ai abandonné pendant plusieurs années les imprimantes car je le faisais au bureau pour mes trois pages annuel. Me voila dans le besoin d'acquérir une imprimante afin de satisfaire l'appétit des enfants, du travail scolaire à la maison et du télétravail permanent. Après moulte réfléxion je me suis orienté vers une imprimante jet d'encre ayant pour particularité de ne pas posséder de cartouche mais un réservoir: c'est la gamme Epson _EcoTank_ avec comme promesse un coût par page très réduit car grande découverte l'encre ça ne coûte rien si on met le prix qu'une imprimante coûte réellement. Quand je dis rien c'est environ 10€ pour un bidon de 70ml. Pour rappel une cartouche "classique" c'est 3 voir 4ml ! Cerise sur le gâteau l'encre est livrée avec l'imprimante de quoi tenir deux ans sans en acheter.

Premier allumage RAS tout fonctionne du premier coup. Puis semaine suivante c'est le drame l'imprimante semble ne pas se connecter au réseau wifi, je ne vois pas de _DHCP REQUEST_ sur mon serveur, je debug je fais plusieurs tentative RIEN ça ne fonctionne juste pas.

Quel est mon setup si étrange pour que ce genre de chose si grand public ne fonctionne pas chez moi ? Mon setup ? Ok ce n'est pas des plus classique, je possède des bornes unifi avec un controlleur, des paramètres très standard. Partons sur un reset global de l'imprimante. Je refais tout le setup et ça refonctionne. Hummm très étrange comme chose, j'imprime et passe à autre chose.

Semaine suivante, me voila dans un jour sans fin. Même symptôme, même solution. C'est quoi cette imprimante ?? Bon il y a une mise à jour de firmware mais je suis pas super optimiste, et ... en éffet rien toujours la même galère, la maison n'est pas autonome pour ses impressions c'est un problème.

## Comment on debug une imprimante ?

La seul façon d'avoir des informations de debug sur une imprimante c'est de lui faire imprimer des rapports d'état. Sur la connexion j'ai échec signal wifi faible alors que la borne est à 2m grand maximum. Bon ça c'est un indice.

J'ai plusieurs bornes donc je me suis dis, OK l'imprimante à simplement accroché la mauvaise borne. Je setup donc un nouveau SSID disponible uniquement sur la borne proche de l'imprimante. J'ajoute un suffix pour différencier. TADA ça fonctionne super j'ai gagné !!!

.... ou pas car la semaine suivante ? rebelotte !!

Aller, je test le wifi en 5Ghz seulement. C'est un échec l'imprimante n'est compatible qu'en 2.4Ghz, elle ne voit donc pas mon SSID 5G. Ok ben allons-y en 2.4 uniquement ... Toujours rien, je commence à faire plusieurs modifications pour tester "au cas ou". Désactivation de feature avancé tel que le power saving, activation du support des device legacy et j'en passe. J'ai même essayer de définir un mot de passe simple sans caractère complexe dès fois que l'imprimante sauvegarde mal le mot de passe wifi.Mais rien le fonctionnement est aléatoire suivant le jour de la semaine avec parfois un fonctionnement comme attendu, mais le plus souvent rien. L'alternative serais le wifi-direct mais je suis pas super fan de la solution qui est contraignante.

Quand on est bloqué, on repars du début et on décortique: Imprimante **GRAND** public, hummm et moi ? j'ai un setup pas si complexe mais plus quelque chose d'entreprise que pour Mme michu. Je me reconnecte sur mon controlleur et je regarde avec un œil nouveau les paramètres disponibles. J'analyse paramètre par paramètre. Il n'y a vraiment rien de choquant. Partons du principe que l'imprimante est codé avec les pieds et supporte peu de chose. Et la éclair: le controlleur demande périodiquement (dans mon cas chaque nuit) à chaque borne d'analyser son environnement radio pour selectionner le meilleur canal wifi. Ce n'est pas spécifique à unifi ou le monde (semi)pro. Cette fonctionnalité est de plus en plus proposé par les équipementiers réseau grand public un peu haut de gamme.

Néanmoins, l'imprimante est en 2.4Ghz seulement. C'est pas très moderne je me dis donc qu'il faut tester. Je désactive donc la fonctionnalité nommé "Wifi AI" (traduction: wifi avec des _if_ et des _else_) pour ne plus changer de canal wifi régulièrement.

... et l'imprimante fonctionne de manière nominal sans broncher.

Il y a donc dans le code de l'imprimante le canal wifi utilisé et impossible de le changer. La page de debug imprimé indiquait uniquement le SSID mais pas le canal wifi. La piste était donc: signal faible, logique! Il faut se rappeler qu'en wifi 2.4Ghz il n'y a que réellement trois canaux qui ne se chevauche pas (avec une largeur de bande de 20Mhz), le 1; 6 et 11.C'est aussi pour cela qu'un reset fonctionnais car je repartais de zéro. Vous voila prévenu, avec un wifi trop intelligent des dysfonctionnements sur des devices trop à l'ancienne peuvent ne pas fonctionner.

