+++
author = "Yann Verry"
categories = ["im"]
date = 2021-02-27T21:12:34Z
description = ""
draft = false
image = "__GHOST_URL__/content/images/2021/02/signal_matrix-1.png"
slug = "messagerie-on-reste"
tags = ["im"]
title = "Messagerie instantané, du changement sur la vie privée !"

+++


WhatsApp à provoqué une levée de bouclier impressionnante tout début janvier suite à leurs mise à jour de leurs TOS/CGV et depuis Facebook sors les rames de l'ensemble des galères de la marine romaine pour stopper la polémique.Le nombre de départ définitif est je pense insignifiant en pourcentage mais l'image est bien plus précieuse, il faut donc la conserver.

Excellente nouvelle je me suis servi de cela pour migrer une bonne partie de mes contacts vers signal et c'est un énorme succès ! Au dernier décompte j'avais 50+ contacts disponible alors qu'en décembre je penais à en avoir trois quatre. Le passage du nombre de téléchargement de l'app sur le play store est passé de 10M à +50M en une semaine.

Pour résumer signal déplace la privacy à un super niveau. C'est vraiment une très bonne nouvelle pour tout les utilisateurs. Malheureusement je considère qu'il ne va pas suffisament loin. Je regrette que les solutions comme XMPP n'ont pas suffisamment perçé. Car signal c'est se mettre dans un nouvel écosystème non intéropérable, dommage. Alors il y a des gardes fous avec la fondation, des audit, du code source client/serveur mais on est pas pour autant libéré.

## Le renouveau de Matrix

Un petit fais son bonhomme de chemin c'est [matrix](https://fr.wikipedia.org/wiki/Matrix_(protocole)), je vous laisse lire son histoire. J'ai testé il y a plusieurs année et je n'avais pas été convaincu: car trop lent, la gestion des sessions multiples bancales, le chiffrement pas actif par défaut. Beaucoup de défaut, prometteur mais pas mature du tout.

On est en 2021, le _FOSDEM_ début février était sur matrix! Il était donc l'heure de tester à nouveau pour voir ce que cela donne. Le protocole à évolué dans un _fediverse_ (=fédération).Quelques chose d'essentiel aussi pour une plus large adoption : il faut un client agréable, robuste. C'est le cas avec Element (même si il n'y a pas que lui) qui est pratique, utilisable.

Je l'ai adopté!

Point bonus il y aussi des gateway vers d'autres protocoles comme le propose XMPP. La plus simple, connu et toujours utilisé est IRC

## Self hosting

Passons à l'auto hébergement, j'ai dit que matrix était distribué en un fediverse. Le serveur de référence synapse est écrit en Python et fonctionne avec une BDD PostgreSQL. Sur des serveurs haute charge j'ai un doute pour le python mais pour quelques users aucun problème.

Toute ma stack est basée sur docker-compose, l'intégré est simple modulo une base [postgresql](https://github.com/matrix-org/synapse/blob/master/docs/postgres.md) ayant un _LC_CTYPE / LC_COLLATE_ type _'C'_ ce qui m'empèche d'utiliser ma DB de référence et ses moultes schéma. Je fais le compromis et crée une DB dédiée à synapse en lieu et place d'un schéma dédiée. Car oui on est sur PG pas _MySQL_ ou une database équivaut plus à un schéma.

Chose qui m'embête aussi c'est que par défaut le setup ne me conviens pas car demande le port _8448_, mais pourquoi ??? Dans ce monde full HTTPS c'est pour moi un problème. La documentation indique une solution qu'est le [fédération](https://github.com/matrix-org/synapse/blob/master/docs/delegate.md) et sa déclaration dans un [.well-known/matrix/server](https://verry.org/.well-known/matrix/server) . Je passe donc par cette solution avec un vhost matrix.verry.org en gardant le port _443_ et ça fonctionne !

Ma configuration Caddy :

```
matrix.verry.org {
  import headers
  import logs
  import tls_verry
  
  reverse_proxy http://synapse:8008

}
verry.org {
  import headers
  import logs
  import tls_verry

  reverse_proxy /_matrix/* http://synapse:8008
  reverse_proxy /_synapse/client/* http://synapse:8008
  
  [...]
}
```

Me voila donc sur matrix avec un nom sympa: **@yann:verry.org** et pas un **@yann:matrix.verry.org** que je trouve moins proche d'un mail (non mon mail n'est pas _yann@mail.verry.org_)

## Conclusion

Il est l'heure de laisser le produit vivre. J'ai actuellement des problèmes avec un nouveau soft que je test: happyDNS. Quel est leurs solution direct de contact ? Matrix! Les choses bougent sans cesse ;-)

Mozilla annonce le même mouvement

