+++
author = "Yann Verry"
date = 2021-10-09T20:47:56Z
description = ""
draft = false
image = "https://images.unsplash.com/photo-1579719558505-ad4a5fee0847?crop=entropy&cs=tinysrgb&fit=max&fm=jpg&ixid=MnwxMTc3M3wwfDF8c2VhcmNofDJ8fG1vbml0b3Jpbmd8ZW58MHx8fHwxNjMzODExOTEx&ixlib=rb-1.2.1&q=80&w=2000"
slug = "prometheus-exporter"
title = "MikroTik 7.1 - Prometheus exporter"

+++


J'ai acheté il y a plusieurs mois un mikrotik (hex S) pour faire toute la partie routage de mon accès internet à la maison. Auparavant c'était mon serveur linux. Très fan du VPN wireguard je l'ai upgrader en version _RouterOS_ 7.1. Maintenant il faut le superviser et grapher ce qu'il s'y passe.

Qui dit équipement réseau dit très souvent _SNMP_ mais ce n'est pas du tout mon mood. Je préfère des choses plus moderne. Bonne nouvelle la version 7.x introduit enfin une [API REST](https://help.mikrotik.com/docs/display/ROS/REST+API) en lieu et place de [l'ancienne](https://help.mikrotik.com/docs/display/ROS/API) un peu freestyle.

Ma stack de monitoring est sous [VictoriaMetrics](https://victoriametrics.com/community.html) (prometheus compatible), il me faut donc un exporter prometheus qui .... n'éxistait pas encore !

J'ai donc codé un petit exporteur en python permettant de récupérer tout ce qui se passe en terme d'interface ainsi que l'utilisation du CPU

* https://git.verry.org/yann/routeros-exporter

Si il manque quelque chose les PRs sont les bienvenue !







