+++
author = "Yann Verry"
categories = ["network", "vpn"]
date = 2020-04-19T14:07:25Z
description = ""
draft = false
image = "__GHOST_URL__/content/images/2020/04/fiber-4814456_1920.jpg"
slug = "vxlan-sur-vpn"
summary = "Freebox en télétavail comment faire ? grâce à du vpn et vxlan"
tags = ["network", "vpn"]
title = "Première partie: Une Freebox en remote avec du VxLAN sur vpn"

+++


Nous sommes actuellement tous confiné, pour continuer à télétravailler il y a certains besoins plus difficile à apporter qu'un simple VPN.

Notamment dans les équipes j'ai des développeurs Freebox. Et pour développer ils ont besoin de quoi ? Eh bien ... d'une freebox. Ok facile quand tu es abonné @home chez Free mais dans le cas contraire comment faire ?

On va donc transporter le réseau Free n'importe ou dans le monde grâce à un VPN, ici wireguard et des vlan grâce à vxlan.

## Fonctionnement de la box

Tout d'abord la freebox player a besoin de deux types de connectivités. La première classique c'est votre connexion Free (et pas une autre hein).La seconde le réseau IPTV sur un vlan taggé : vlan100.

## Prérequis

Il y a une partie dis "client" et un serveur qui lui possède l'abonnement Free.En matériel pour le client il faut donc :

* Deux switchs (un de chaque côtés) qui comprend les vlan, switch dis donc manageable. Il faut compter une petite centaine d'euros pour un truc pas extra mais qui fait le job.
* Deux serveurs, type RasbperryPI sous linux
* Une Freebox Player et serveur

Plusieurs VLAN avec des subnet associés:

* Vlan100 (géré par Free on laisse tel quel)
* Vlan99, réseau Free domestique
* Subnet des opérateurs principaux français qui ne doit pas overlap:- [Orange](https://assistance.orange.fr/livebox-modem/toutes-les-livebox-et-modems/installer-et-utiliser/piloter-et-parametrer-votre-materiel/le-parametrage-avance-reseau-nat-pat-ip/gerer-votre-adresse-ip/adresses-ip-les-elements-a-connaitre-_238182-760947) 192.168.1.0/24- [SFR](https://assistance.sfr.fr/internet-tel-fixe/box-nb4/configurer-acces-interface-web-administration.html) sur nb4 192.168.1.0/24- [Bouygue](https://www.assistance.bouyguestelecom.fr/internet-bbox/installation-bbox/connexion-installation-interface-administration-bbox) 192.168.1.0/24

Bonne nouvelle ils utilisent tous le même subnet par défaut.Mais cela impose donc côté serveur de modifier. On va s'occuper de faire uniquement l'avant dernier octet (192.168.x.0/24). Pour cela se rendre sur l'interface [http://mafreebox.freebox.fr/](http://mafreebox.freebox.fr/) ouvrir réseau local depuis _paramètres de la freebox_

{{< figure src="__GHOST_URL__/content/images/2020/04/fbx_subnet.png" caption="Freebox Routeur / réseau local" >}}

Il faut aussi modifier la partie range DHCP etc ...

## Physique "client"

On branche donc le tout sur notre switch, rpi et freebox et un uplink avec notre box d'un autre opérateur.

{{< figure src="__GHOST_URL__/content/images/2020/04/Freebox@remote-2.png" >}}

Il faut donc tagguer le vlan100 vers le rpi ET la freebox.Il faut un second VLAN pour transporter le vlan Free. On le propagera égalemment sur le poste du dev afin de lui permettre de piloter la/les freebox.

## Physique "serveur"

C'est presque plus simple, un serveur type rpi aussi toujours un switch manageable et on tag le vlan100 sur la freebox server et notre rpi

## Conclusion

Voila nous avons notre infra physique prête pour transporter notre player n'importe ou dans le monde. La prochaine partie s'attelera sur la partie serveur avec le vpn et surtout vxlan

